aboutsummaryrefslogtreecommitdiffstats
path: root/debian/plptools.init
diff options
context:
space:
mode:
authorReuben Thomas <rrt@sc3d.org>2007-12-09 19:52:40 +0000
committerReuben Thomas <rrt@sc3d.org>2007-12-09 19:52:40 +0000
commitc955b685baf27df2e3d4145f0337bcf8077789bb (patch)
tree6ab1d6e87e05c649c8bc91e826ac37fd894605d9 /debian/plptools.init
parent600afc7ff1df3aedc69dd34d7a3d8c0a40b10a82 (diff)
downloadplptools-c955b685baf27df2e3d4145f0337bcf8077789bb.tar.gz
plptools-c955b685baf27df2e3d4145f0337bcf8077789bb.tar.bz2
plptools-c955b685baf27df2e3d4145f0337bcf8077789bb.zip
Remove Debian files
Diffstat (limited to 'debian/plptools.init')
-rw-r--r--debian/plptools.init103
1 files changed, 0 insertions, 103 deletions
diff --git a/debian/plptools.init b/debian/plptools.init
deleted file mode 100644
index d0f7549..0000000
--- a/debian/plptools.init
+++ /dev/null
@@ -1,103 +0,0 @@
-#! /bin/sh
-#
-# start or stop the plptools daemons
-#
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-DAEMON1=/usr/sbin/ncpd
-DAEMON2=/usr/sbin/plpnfsd
-DAEMON3=/usr/sbin/plpprintd
-NAME=plptools
-DESC=plptools
-CONFIG=/etc/plptools.conf
-
-test -x $DAEMON1 || exit 0
-test -x $DAEMON2 || exit 0
-test -x $DAEMON3 || exit 0
-test -f $CONFIG && . $CONFIG || exit 0
-
-set -e
-
-case "$1" in
- start)
- if test "$START_NCPD" = "yes" ; then
- echo -n "Starting $DESC ($DAEMON1): "
- start-stop-daemon --start --quiet \
- --exec $DAEMON1 -- $NCPD_ARGS && \
- echo -n "done" || echo -n "failed"
- echo "."
- sleep 1
- fi
- if test "$START_PLPNFSD" = "yes" ; then
- echo -n "Starting $DESC ($DAEMON2): "
- start-stop-daemon --start --quiet \
- --exec $DAEMON2 -- $PLPNFSD_ARGS && \
- echo -n "done" || echo -n "failed"
- echo "."
- fi
- if test "$START_PLPPRINTD" = "yes" ; then
- echo -n "Starting $DESC ($DAEMON3): "
- start-stop-daemon --start --quiet \
- --exec $DAEMON3 -- $PLPPRINTD_ARGS && \
- echo -n "done" || echo -n "failed"
- echo "."
- fi
- ;;
- stop)
- if test "$START_PLPNFSD" = "yes" ; then
- echo -n "Stopping $DESC ($DAEMON2): "
-# Stop the daemon more gently
- if test -e /var/lib/plptools/mnt/proc/exit ; then
- echo "stop" > /var/lib/plptools/mnt/proc/exit
- sleep 1
- fi
- start-stop-daemon --stop --retry HUP/5/TERM/1 --quiet \
- --exec $DAEMON2 && \
- echo -n "done" || echo -n "already stopped"
- echo "."
- fi
- if test "$START_PLPPRINTD" = "yes" ; then
- echo -n "Stopping $DESC ($DAEMON3): "
- start-stop-daemon --stop --quiet --exec $DAEMON3 && \
- echo -n "done" || echo -n "already stopped"
- echo "."
- fi
- if test "$START_NCPD" = "yes" ; then
- echo -n "Stopping $DESC ($DAEMON1): "
- start-stop-daemon --stop --quiet --exec $DAEMON1 && \
- echo -n "done" || echo -n "already stopped"
- echo "."
- fi
-
- ;;
- #reload)
- #
- # If the daemon can reload its config files on the fly
- # for example by sending it SIGHUP, do it here.
- #
- # If the daemon responds to changes in its config file
- # directly anyway, make this a do-nothing entry.
- #
- # echo "Reloading $DESC configuration files."
- # start-stop-daemon --stop --signal 1 --quiet --pidfile \
- # /var/run/$NAME.pid --exec $DAEMON
- #;;
- restart|force-reload)
- #
- # If the "reload" option is implemented, move the "force-reload"
- # option to the "reload" entry above. If not, "force-reload" is
- # just the same as "restart".
- #
- $0 stop
- sleep 1
- $0 start
- ;;
- *)
- N=/etc/init.d/$NAME
- # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
- echo "Usage: $N {start|stop|restart|force-reload}" >&2
- exit 1
- ;;
-esac
-
-exit 0